T_UNBIND(3N)

NAME
t_unbind - disable a transport endpoint

SYNOPSIS

#include <tiuser.h>

int t_unbind(fd)
int fd;

DESCRIPTION

t_unbind() disables the transport endpoint specified by fd which was previously bound by t_bind(3N). On completion of this call, no further data or events destined for this transport endpoint will be accepted by the transport provider.

RETURN VALUES

t_unbind() returns:

0   on success.

-1  on failure and sets t_errno to indicate the error.

ERRORS

TBADF
    The specified file descriptor does not refer to a transport endpoint.

TLOOK
    An asynchronous event has occurred on this transport endpoint.

TOUTSTATE
    The function was issued in the wrong sequence.

TSYSERR
    The function failed due to a system error and set errno to indicate the error.

SEE ALSO
t_bind(3N)